nspr-4.19.0-1.el7_5.i686.rpm


Advertisement

Description

nspr - Netscape Portable Runtime

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package filename nspr-4.19.0-1.el7_5.i686.rpm
Package name nspr
Package version 4.19.0
Package release 1.el7_5
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://www.mozilla.org/projects/nspr/
License MPLv2.0
Maintainer -
Download size 128.16 KB
Installed size 276.64 KB
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

Alternatives

Package Version Architecture Repository
nspr-4.19.0-1.el7_5.x86_64.rpm 4.19.0 x86_64 CentOS
nspr - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.17) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
rtld(GNU_HASH) -

Provides

Name Value
libnspr4.so -
libplc4.so -
libplds4.so -
nspr = 4.19.0-1.el7_5
nspr(x86-32) = 4.19.0-1.el7_5

Conflicts

Name Value
filesystem < 3

Download

Type URL
Mirror mirror.centos.org
Binary Package nspr-4.19.0-1.el7_5.i686.rpm
Source Package nspr-4.19.0-1.el7_5.src.rpm

Install Howto

Install nspr rpm package:

# yum install nspr

Files

Path
/usr/lib/libnspr4.so
/usr/lib/libplc4.so
/usr/lib/libplds4.so

Changelog

2018-03-05 - Daiki Ueno <dueno@redhat.com> - 4.19.0-1
- Rebase to NSPR 4.19
2018-03-01 - Daiki Ueno <dueno@redhat.com> - 4.19.0-0.1.beta
- Rebase to NSPR 4.19 BETA
2017-10-06 - Daiki Ueno <dueno@redhat.com> - 4.17.0-1
- Rebase to NSPR 4.17
2017-08-23 - Daiki Ueno <dueno@redhat.com> - 4.16.0-1
- Rebase to NSPR 4.16
2017-02-10 - Daiki Ueno <dueno@redhat.com> - 4.13.1-1.0
- Rebase to NSPR 4.13.1
2016-01-18 - Elio Maldonado <emaldona@redhat.com> - 4.11.0-1
- Rebase to NSPR 4.11
- Resolves: Bug 1297941 - Rebase RHEL 7.3 to NSS 3.21 in preparation for Firefox 45
2015-10-16 - Elio Maldonado <emaldona@redhat.com> - 4.10.8-2
- Resolves: Bug 1269363 - CVE-2015-7183
- nspr: heap-buffer overflow in PL_ARENA_ALLOCATE can lead to crash (under ASAN), potential memory corruption
2015-03-30 - Elio Maldonado <emaldona@redhat.com> - 4.10.8-1
- Resolves: Bug 1200917 - Rebase nspr to 4.10.8 for Firefox 38 ESR
2014-12-01 - Elio Maldonado <emaldona@redhat.com> - 4.10.6-3
- Restore s390x related patch as it hasn't been applied upstream yet
- Resolves: Bug 1103250 - Rebase RHEL 7.1 to NSPR 4.10.6 (for FF 31)
2014-08-05 - Elio Maldonado <emaldona@redhat.com> 4.10.6-2
- Generic 32/64 bit platform detection (fix ppc64le build)
- Resolves: Bug 1126243 - Ensure nspr is built for 64 bit on ppc64le

See Also

Package Description
nspr-devel-4.19.0-1.el7_5.i686.rpm Development libraries for the Netscape Portable Runtime
nspr-devel-4.19.0-1.el7_5.x86_64.rpm Development libraries for the Netscape Portable Runtime
nss-3.36.0-7.el7_5.i686.rpm Network Security Services
nss-3.36.0-7.el7_5.x86_64.rpm Network Security Services
nss-devel-3.36.0-7.el7_5.i686.rpm Development libraries for Network Security Services
nss-devel-3.36.0-7.el7_5.x86_64.rpm Development libraries for Network Security Services
nss-pam-ldapd-0.8.13-16.el7.i686.rpm An nsswitch module which uses directory servers
nss-pam-ldapd-0.8.13-16.el7.x86_64.rpm An nsswitch module which uses directory servers
nss-pem-1.0.3-5.el7.i686.rpm PEM file reader for Network Security Services (NSS)
nss-pem-1.0.3-5.el7.x86_64.rpm PEM file reader for Network Security Services (NSS)
nss-pkcs11-devel-3.36.0-7.el7_5.i686.rpm Development libraries for PKCS #11 (Cryptoki) using NSS
nss-pkcs11-devel-3.36.0-7.el7_5.x86_64.rpm Development libraries for PKCS #11 (Cryptoki) using NSS
nss-softokn-3.36.0-5.el7_5.i686.rpm Network Security Services Softoken Module
nss-softokn-3.36.0-5.el7_5.x86_64.rpm Network Security Services Softoken Module
nss-softokn-devel-3.36.0-5.el7_5.i686.rpm Development libraries for Network Security Services
Advertisement
Advertisement